org.codehaus.plexus.compiler.jikes

## Class JikesCompiler

- java.lang.Object
- - org.codehaus.plexus.logging.AbstractLogEnabled
  - - org.codehaus.plexus.compiler.AbstractCompiler
    - - org.codehaus.plexus.compiler.jikes.JikesCompiler

All Implemented Interfaces:
  Compiler, org.codehaus.plexus.logging.LogEnabled

    public class JikesCompiler
    extends AbstractCompiler

### Field Summary

### Fields inherited from class org.codehaus.plexus.compiler.AbstractCompiler

`EOL, PS`

### Fields inherited from interface org.codehaus.plexus.compiler.Compiler

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`JikesCompiler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String[]` `createCommandLine(CompilerConfiguration config)` Create the command line that would be executed using this configuration.
`protected List<CompilerMessage>` `parseStream(BufferedReader input, List<CompilerMessage> messages)` Parse the compiler error stream to produce a list of `CompilerMessage`s
`CompilerResult` `performCompile(CompilerConfiguration config)` Performs the compilation of the project.

### Methods inherited from class org.codehaus.plexus.compiler.AbstractCompiler

`canUpdateTarget, compile, getCompilerOutputStyle, getInputFileEnding, getOutputFile, getOutputFileEnding, getPathString, getSourceFiles, getSourceFilesForSourceRoot, makeClassName, toStringArray`

### Methods inherited from class org.codehaus.plexus.logging.AbstractLogEnabled

`enableLogging, getLogger, setupLogger, setupLogger, setupLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JikesCompiler

    public JikesCompiler()

### Method Detail

#### performCompile

    public CompilerResult performCompile(CompilerConfiguration config)
                                  throws CompilerException

Description copied from interface: `Compiler`
Performs the compilation of the project. Clients must implement this method.

Specified by:
  `performCompile` in interface `Compiler`
Overrides:
  `performCompile` in class `AbstractCompiler`
Parameters:
  `config` - the configuration description of the compilation to perform
Returns:
  the result of the compilation returned by the language processor
Throws:
  `CompilerException`

#### createCommandLine

    public String[] createCommandLine(CompilerConfiguration config)
                               throws CompilerException

Description copied from interface: `Compiler`
Create the command line that would be executed using this configuration. If this particular compiler has no concept of a command line then returns null.

Parameters:
  `config` - the CompilerConfiguration describing the compilation
Returns:
  an array of Strings that make up the command line, or null if this compiler has no concept of command line
Throws:
  `CompilerException` - if there was an error generating the command line

#### parseStream

    protected List<CompilerMessage> parseStream(BufferedReader input,
                                                List<CompilerMessage> messages)
                                         throws IOException

Parse the compiler error stream to produce a list of `CompilerMessage`s

Parameters:
  `input` - The error stream
Returns:
  The list of compiler error messages
Throws:
  `IOException` - If an error occurs during message collection